Merge remote-tracking branch 'origin/master' into identity_abe
[oweals/gnunet.git] / src / identity-provider / test_idp_revoke.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_idp.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf `gnunet-config -c test_idp.conf -s PATHS -o GNUNET_HOME -f`
17
18 #  (1) PKEY1.user -> PKEY2.resu.user
19 #  (2) PKEY2.resu -> PKEY3
20 #  (3) PKEY3.user -> PKEY4
21
22
23 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
24
25 TEST_ATTR="test"
26 gnunet-arm -s -c test_idp.conf
27 gnunet-identity -C alice -c test_idp.conf
28 gnunet-identity -C bob -c test_idp.conf
29 gnunet-identity -C eve -c test_idp.conf
30 ALICE_KEY=$(gnunet-identity -d -c test_idp.conf | grep alice | awk '{print $3}')
31 BOB_KEY=$(gnunet-identity -d -c test_idp.conf | grep bob | awk '{print $3}')
32 EVE_KEY=$(gnunet-identity -d -c test_idp.conf | grep eve | awk '{print $3}')
33
34 gnunet-idp -e alice -a email -V john@doe.gnu -c test_idp.conf 
35 gnunet-idp -e alice -a name -V John -c test_idp.conf
36 TICKET_BOB=$(gnunet-idp -e alice -i "email,name" -r $BOB_KEY -c test_idp.conf | awk '{print $1}')
37 #gnunet-idp -e bob -C $TICKET_BOB -c test_idp.conf
38 TICKET_EVE=$(gnunet-idp -e alice -i "email" -r $EVE_KEY -c test_idp.conf | awk '{print $1}')
39
40
41 #echo "Consuming $TICKET"
42 #gnunet-idp -e eve -C $TICKET_EVE -c test_idp.conf
43 gnunet-idp -e alice -R $TICKET_EVE -c test_idp.conf
44
45 gnunet-idp -e eve -C $TICKET_EVE -c test_idp.conf  > /dev/null 2>&1
46 if test $? == 0
47 then 
48   echo "Eve can still resolve attributes..."
49   gnunet-arm -e -c test_idp.conf
50   exit 1
51 fi
52 gnunet-idp -e bob -C $TICKET_BOB -c test_idp.conf > /dev/null 2>&1
53 if test $? != 0
54 then
55   echo "Bob cannot resolve attributes..."
56   gnunet-arm -e -c test_idp.conf
57   exit 1
58 fi
59
60 gnunet-arm -e -c test_idp.conf